% The sensor position;
%  Jday   sensor(Hi)  sensor (Hs), sensor(snow/ice interface)
%   1        2            3             4
load Simba_sensor_position2011_12.dat;
load Simba_sensor_position2012_13.dat;
load Simba_sensor_position2013_14.dat;
load Simba_sensor_position2014_15.dat;
load Simba_sensor_position2015_16.dat;
load Simba_sensor_position2016_17.dat;
load Simba_sensor_position2017_18.dat;
load Simba_sensor_position2018_19.dat;
load Simba_sensor_position2019_20.dat;

x1112 = Simba_sensor_position2011_12(:,1);
xmax  = max(size(x1112));
y = -1:-1:-240;
[X1112,Y] = meshgrid(x1112,y);

ymin = -min(Simba_sensor_position2011_12(:,2));
ymax = -max(Simba_sensor_position2011_12(:,3));

figure;
plot(X1112,Y,'.');
hold on;
plot(Simba_sensor_position2011_12(:,1),-Simba_sensor_position2011_12(:,2),'b');
plot(Simba_sensor_position2011_12(:,1),-Simba_sensor_position2011_12(:,3),'r');
plot(Simba_sensor_position2011_12(:,1),-Simba_sensor_position2011_12(:,4),'g');
axis([x1112(1,1) x1112(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2011/2012)');
ylabel('Sensor number (-1:surface; -240: bottom)');

%----------------------------
x1213 = Simba_sensor_position2012_13(:,1);
xmax  = max(size(x1213));
y = -1:-1:-240;
[X1213,Y] = meshgrid(x1213,y);

ymin = -min(Simba_sensor_position2012_13(:,2));
ymax = -max(Simba_sensor_position2012_13(:,3));

figure;
plot(X1213,Y,'.');
hold on;
plot(Simba_sensor_position2012_13(:,1),-Simba_sensor_position2012_13(:,2),'b');
plot(Simba_sensor_position2012_13(:,1),-Simba_sensor_position2012_13(:,3),'r');
plot(Simba_sensor_position2012_13(:,1),-Simba_sensor_position2012_13(:,4),'g');
axis([x1213(1,1) x1213(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2012/2013)');
ylabel('Sensor number (-1:surface; -240: bottom)');

%----------------------------
x1314 = Simba_sensor_position2013_14(:,1);
xmax  = max(size(x1314));
y = -1:-1:-240;
[X1314,Y] = meshgrid(x1314,y);

ymin = -min(Simba_sensor_position2013_14(:,2));
ymax = -max(Simba_sensor_position2013_14(:,3));

figure;
plot(X1314,Y,'.');
hold on;
plot(Simba_sensor_position2013_14(:,1),-Simba_sensor_position2013_14(:,2),'b');
plot(Simba_sensor_position2013_14(:,1),-Simba_sensor_position2013_14(:,3),'r');
plot(Simba_sensor_position2013_14(:,1),-Simba_sensor_position2013_14(:,4),'g');
axis([x1314(1,1) x1314(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2013/2014)');
ylabel('Sensor number (-1:surface; -240: bottom)');

%----------------------------
x1415 = Simba_sensor_position2014_15(:,1);
xmax  = max(size(x1415));
y = -1:-1:-240;
[X1415,Y] = meshgrid(x1415,y);

ymin = -min(Simba_sensor_position2014_15(:,2));
ymax = -max(Simba_sensor_position2014_15(:,3));

figure;
plot(X1415,Y,'.');
hold on;
plot(Simba_sensor_position2014_15(:,1),-Simba_sensor_position2014_15(:,2),'b');
plot(Simba_sensor_position2014_15(:,1),-Simba_sensor_position2014_15(:,3),'r');
plot(Simba_sensor_position2014_15(:,1),-Simba_sensor_position2014_15(:,4),'g');
axis([x1415(1,1) x1415(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2014/2015)');
ylabel('Sensor number (-1:surface; -240: bottom)');

%----------------------------
x1516 = Simba_sensor_position2015_16(:,1);
xmax  = max(size(x1516));
y = -1:-1:-240;
[X1516,Y] = meshgrid(x1516,y);

ymin = -min(Simba_sensor_position2015_16(:,2));
ymax = -max(Simba_sensor_position2015_16(:,3));

figure;
plot(X1516,Y,'.');
hold on;
plot(Simba_sensor_position2015_16(:,1),-Simba_sensor_position2015_16(:,2),'b');
plot(Simba_sensor_position2015_16(:,1),-Simba_sensor_position2015_16(:,3),'r');
plot(Simba_sensor_position2015_16(:,1),-Simba_sensor_position2015_16(:,4),'g');
axis([x1516(1,1) x1516(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2015/2016)');
ylabel('Sensor number (-1:surface; -240: bottom)');

%----------------------------
x1617 = Simba_sensor_position2016_17(:,1);
xmax  = max(size(x1617));
y = -1:-1:-240;
[X1617,Y] = meshgrid(x1617,y);

ymin = -min(Simba_sensor_position2016_17(:,2));
ymax = -max(Simba_sensor_position2016_17(:,3));

figure;
plot(X1617,Y,'.');
hold on;
plot(Simba_sensor_position2016_17(:,1),-Simba_sensor_position2016_17(:,2),'b');
plot(Simba_sensor_position2016_17(:,1),-Simba_sensor_position2016_17(:,3),'r');
plot(Simba_sensor_position2016_17(:,1),-Simba_sensor_position2016_17(:,4),'g');
axis([x1617(1,1) x1617(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2016/2017)');
ylabel('Sensor number (-1:surface; -240: bottom)');

%----------------------------
x1718 = Simba_sensor_position2017_18(:,1);
xmax  = max(size(x1718));
y = -1:-1:-240;
[X1718,Y] = meshgrid(x1718,y);

ymin = -min(Simba_sensor_position2017_18(:,2));
ymax = -max(Simba_sensor_position2017_18(:,3));

figure;
plot(X1718,Y,'.');
hold on;
plot(Simba_sensor_position2017_18(:,1),-Simba_sensor_position2017_18(:,2),'b');
plot(Simba_sensor_position2017_18(:,1),-Simba_sensor_position2017_18(:,3),'r');
plot(Simba_sensor_position2017_18(:,1),-Simba_sensor_position2017_18(:,4),'g');
axis([x1718(1,1) x1718(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2017/2018)');
ylabel('Sensor number (-1:surface; -240: bottom)');


%----------------------------
x1819 = Simba_sensor_position2018_19(:,1);
xmax  = max(size(x1819));
y = -1:-1:-240;
[X1819,Y] = meshgrid(x1819,y);

ymin = -min(Simba_sensor_position2018_19(:,2));
ymax = -max(Simba_sensor_position2018_19(:,3));

figure;
plot(X1819,Y,'.');
hold on;
plot(Simba_sensor_position2018_19(:,1),-Simba_sensor_position2018_19(:,2),'b');
plot(Simba_sensor_position2018_19(:,1),-Simba_sensor_position2018_19(:,3),'r');
plot(Simba_sensor_position2018_19(:,1),-Simba_sensor_position2018_19(:,4),'g');
axis([x1819(1,1) x1819(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2018/2019)');
ylabel('Sensor number (-1:surface; -240: bottom)');


%----------------------------
x1920 = Simba_sensor_position2019_20(:,1);
xmax  = max(size(x1920));
y = -1:-1:-240;
[X1920,Y] = meshgrid(x1920,y);

ymin = -min(Simba_sensor_position2019_20(:,2));
ymax = -max(Simba_sensor_position2019_20(:,3));

figure;
plot(X1920,Y,'.');
hold on;
plot(Simba_sensor_position2019_20(:,1),-Simba_sensor_position2019_20(:,2),'b');
plot(Simba_sensor_position2019_20(:,1),-Simba_sensor_position2019_20(:,3),'r');
plot(Simba_sensor_position2019_20(:,1),-Simba_sensor_position2019_20(:,4),'g');
axis([x1920(1,1) x1920(xmax,1) (ymax-5) (ymin+5)]);

xlabel('Julian day (2019/2020)');
ylabel('Sensor number (-1:surface; -240: bottom)');



